Bug 107607 - Incorrect cursor placement in listbox
Incorrect cursor placement in listbox
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: newt (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-21 01:07 EDT by Stiphane Doyon
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version: 0.51.7-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-08 15:07:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This patch fixes it for me (484 bytes, patch)
2003-10-21 01:27 EDT, Stiphane Doyon
no flags Details | Diff

  None (edit)
Description Stiphane Doyon 2003-10-21 01:07:01 EDT
Description of problem:
When a listbox is displayed, the cursor is placed one line below and one character to the right of where it ought to be.
I am blind and use a braille terminal. It is convenient to use the cursor position rather than guessing from video attributes. This bug makes the listboxes in anaconda show the selected item to be the one below the item actually selected.
Version-Release number of selected component (if applicable):
newt-0.51.4-1

How reproducible:
Consistently

Steps to Reproduce:
1. boot RHL install CD or floppy
2. Proceed until the question about installation language.
3.
    
Actual results:
Cursor is placed on the letter R of "French"

Expected results:
Cursor should be on the letter E of "English"

Additional info: When the bottom choice is selected, cursor goes to blank line below. Affects some text-based config progs, "loader" on installer boot images and stage2.
Comment 1 Stiphane Doyon 2003-10-21 01:27:28 EDT
Created attachment 95339 [details]
This patch fixes it for me

In listbox.c:listboxDraw(), make the two calls to newtGotorc consistent.
Comment 2 Eido Inoue 2004-04-08 15:07:59 EDT
the above patch is in the current CVS (inherited from another patch)

Note You need to log in before you can comment on or make changes to this bug.